<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Veille Techno - Usage</title>
  <link rel="icon" href="images/favicon.png" type="image/gif">
  <link rel="stylesheet" type="text/css" href="css/bootstrap.css">
  <link href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap" rel="stylesheet">
  <link href="css/font-awesome.min.css" rel="stylesheet">
  <link href="css/style.css" rel="stylesheet">
  <link href="css/responsive.css" rel="stylesheet">
</head>
<body class="sub_page">

  <div class="hero_area">
    <header class="header_section long_section px-0">
      <nav class="navbar navbar-expand-lg custom_nav-container">
        <a class="navbar-brand" href="index.html">
          <span>Veille Techno</span>
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item">
              <a class="nav-link" href="usage.html">Usage proposé</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="conception.html">Conception</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="avis.html">Avis</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="sources.html">Sources</a>
            </li>
          </ul>
        </div>
      </nav>
    </header>
  </div>

  <section class="about_section layout_padding long_section">
    <div class="container">
      <div class="row">
        <div class="col-md-6">
          <div class="img-box">
            <video width="720" height="540" autoplay loop muted>
              <source src="./videos/spinning_dice.mp4" type="video/mp4">
              Your browser does not support the video tag.
            </video>
          </div>
        </div>
        <div class="col-md-6">
          <div class="detail-box">
            <div class="heading_container">
              <h2>Brasseur/compteur de dés automatique</h2>
            </div>
            <p class="text-justify">
            Le concept de cette expérimentation est de créer un brasseur de dés automatique.
            Il s'agirait d'un appareil qui permettrait de brasser les dés de manière aléatoire et de compter le total obtenus.
            Son utilisation pourrait être destinée aux jeux de société et aux jeux de rôles, mais également aux jeux de hasard (casino) afin d'éliminer le facteur humain et la triche.
            Il est composé d'un cylindre qui contient les dés, d'un moteur qui fait tourner de petites hélices situées au bas du cylindre et d'un capteur (caméra) qui compte le nombre de points sur les dés.</p>
            <a href="./conception.html">La conception</a>
          </div>
        </div>
      </div>
    </div>
  </section>

  <section class="container">
    <div class="mt-5">
      <h2>L'objectif</h2>
      <p>
      L'objectif de l’expérimentation est de créer un dispositif capable de lancer des dés, d'utiliser la caméra pour capturer les résultats, de les calculer à l'aide d'un programme et d'afficher les résultats sur un écran.
      </p>
      <h2>Schématisation matérielle</h2>
        <ul>
          <li>
            Le robot est équipé d'un cylindre qui contient les dés.
          </li>
          <li>
            Un moteur fait tourner de petites hélices situées au bas du cylindre.
          </li>
          <li>
            Une caméra est positionnée pour capturer les résultats des dés.
          </li>
          <li>
            Un écran affiche les résultats.
          </li>
        </ul>
        <div class="text-center m-5">
          <img src="./images/schema-materiel.jpg" alt="Schématisation matérielle" class="img-fluid rounded shadow">
        </div>
      <h2>Schématisation logicielle</h2>
      <ul>
        <li>
          Une commande est envoyée au robot pour brasser les dés.
        </li>
        <li>
          Une fois les dés brassés, la caméra capture les résultats.
        </li>
        <li>
          Le programme embarqué dans le module de la caméra interprète les résultats capturés.
        </li>
        <li>
          Les résultats sont par la suite affichés sur l'écran.
        </li>
      </ul>
      <div class="text-center m-5">
        <img src="./images/schema-logiciel.jpg" alt="Schématisation matérielle" class="img-fluid rounded shadow">
      </div>
      <h3>Avantages</h3>
      <ul>
        <li>
          Apprentissage de la programmation et de la robotique.
        </li>
        <li>
          Expérience pratique dans la manipulation de capteurs et de caméras.
        </li>
        <li>
          Personnalisation des fonctionnalités selon les besoins.
        </li>
        <li>
          Facilité de montage et d'utilisation
        </li>
      </ul>
      <h3>Inconvénients</h3>
      <ul>
        <li>
          Complexité pour les débutants en robotique et en programmation.
        </li>
        <li>
          Utilisation d'un IDE de programmation non intuitive avec peu de documentation donc une bonne parti est en chinois.
        </li>
        <li>
          Nécessite des compétences techniques pour une utilisation optimale. Surtout pour la personnalisation des fonctionnalités.
        </li>
        <li>
          Très petite pièce, risque de perte, manipulation délicate et difficile à réparer.
        </li>
      </ul>
      <h3>
        Solution alternatives
      </h3>
      <p>
      Comparé à d'autres solutions manuelles pour lancer et calculer des dés, ce dispositif ne semble à prime abord pas du tout fait dans cet optique. En termes de simplicité, une solution manuelle pourrait être plus appropriée. J'ai toutefois considéré l'implémentation des divers composantes assez simple pour efectuer l'expérience.
      </p>
  </section>

  <footer class="footer_section">
    <div class="container">
      <p>&copy; <span id="displayYear"></span> Conçu par Philippe Raymond dans le cadre du cours Veille Technologique du programme de Techniques de l'informatique du Cégep Garneau.</p>
    </div>
  </footer>

  <script src="js/jquery-3.4.1.min.js"></script>
  <script src="js/bootstrap.js"></script>
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCh39n5U-4IoWpsVGUHWdqB6puEkhRLdmI&callback=myMap"></script>
</body>
</html>
